-- -- fallout cloud for meltdown
-- fallout_cloud =
-- {
	-- type = "smoke-with-trigger",
	-- name = "fallout-cloud",
	-- flags = {"not-on-map"},
	-- show_when_smoke_off = true,
	-- animation =
	-- {
		-- filename = "__base__/graphics/entity/cloud/cloud-45-frames.png",
		-- flags = { "compressed" },
		-- priority = "low",
		-- width = 256,
		-- height = 256,
		-- frame_count = 45,
		-- animation_speed = 0.1,
		-- line_length = 7,
		-- scale = 6,
	-- },
	-- slow_down_factor = 0,
	-- affected_by_wind = true,
	-- cyclic = true,
	-- duration = 60 * 80,
	-- fade_away_duration = 4 * 60,
	-- spread_duration = 50,
	-- color = { r = 1, g = 1, b = 1},
	-- action =
	-- {
		-- type = "direct",
		-- action_delivery =
		-- {
			-- type = "instant",
			-- target_effects =
			-- {
				-- type = "nested-result",
				-- action =
				-- {
					-- type = "area",
					-- radius = 20,
					-- entity_flags = {"breaths-air"},
					-- action_delivery =
					-- {
						-- type = "instant",
						-- target_effects =
						-- {
						-- type = "damage",
						-- damage = { amount = 1, type = "poison"}
						-- }
					-- }
				-- }
			-- }
		-- }
	-- },
	-- action_cooldown = 30
-- }

-- meltdown
--if settings.startup["RR-explosions"].value == false then
	-- fallout cloud for meltdown
	data:extend({
	{
		type = "smoke-with-trigger",
		name = "fallout-cloud",
		flags = {"not-on-map"},
		render_layer = "entity-info-icon-above",
		show_when_smoke_off = true,
		animation =
		{
			filename = "__RealisticReactors__/graphics/fallout/cloud-45-frames.png",
			flags = { "compressed" },
			priority = "low",
			width = 256,
			height = 256,
			frame_count = 45,
			animation_speed = 0.2,
			line_length = 7,
			scale = 6,
		},
		slow_down_factor = 0,
		affected_by_wind = true,
		cyclic = true,
		duration = settings.startup["clouds-duration"].value * 60,
		fade_away_duration = math.min(20,settings.startup["clouds-duration"].value/3) * 60,
		spread_duration = 50,
		movement_slow_down_factor = 1,
		color = { r = 1, g = 1, b = 1},
		action =
		{
			type = "direct",
			action_delivery =
			{
				type = "instant",
				target_effects =
				{
					type = "nested-result",
					action =
					{
						type = "area",
						radius = 20,
						entity_flags = {"breaths-air"},
						action_delivery =
						{
							type = "instant",
							target_effects =
							{
							type = "damage",
							damage = { amount = 0.99, type = "poison"}
							}
						}
					}
				}
			}
		},
		action_cooldown = 30
	},
	{
		type = "smoke-with-trigger",
		name = "fallout-cloud-periodic",
		flags = {"not-on-map"},
		render_layer = "entity-info-icon-above",
		show_when_smoke_off = true,
		animation =
		{
			filename = "__RealisticReactors__/graphics/fallout/cloud-45-frames.png",
			flags = { "compressed" },
			priority = "low",
			width = 256,
			height = 256,
			frame_count = 45,
			animation_speed = 0.2,
			line_length = 7,
			scale = 6,
		},
		slow_down_factor = 0,
		affected_by_wind = true,
		cyclic = true,
		duration = settings.startup["clouds-duration"].value * 60,
		fade_away_duration = math.min(20,settings.startup["clouds-duration"].value/3) * 60,
		spread_duration = 300,
		movement_slow_down_factor = 1,
		color = { r = 1, g = 1, b = 1},
		action =
		{
			type = "direct",
			action_delivery =
			{
				type = "instant",
				target_effects =
				{
					type = "nested-result",
					action =
					{
						type = "area",
						radius = 20,
						entity_flags = {"breaths-air"},
						action_delivery =
						{
							type = "instant",
							target_effects =
							{
							type = "damage",
							damage = { amount = 0.99, type = "poison"}
							}
						}
					}
				}
			}
		},
		action_cooldown = 30
	},
	
})

perma_radiation = {
		type = "smoke-with-trigger",
		name = "permanent-radiation",
		flags = {"not-on-map"},
		render_layer = "item-in-inserter-hand",
		show_when_smoke_off = true,
		animation =
		{
			filename = "__RealisticReactors__/graphics/fallout/fallout_spritesheet.png",
			
			priority = "low",
			width = 249,
			height = 211,
			frame_count = 14,
			animation_speed = 0.15,
			line_length = 7,
			scale = 2,
			blend_mode = "additive-soft",
			apply_runtime_tint=true,
		},
		slow_down_factor = 0,
		affected_by_wind = false,
		cyclic = true,
		duration = settings.startup["fallout-duration"].value * 60,
		fade_away_duration = math.min(180,settings.startup["fallout-duration"].value/3) * 60,
		spread_duration = 0,
		movement_slow_down_factor = 0,
		color = { r = 1, g = 1, b = 1},
		action =
		{
			type = "direct",
			action_delivery =
			{
				type = "instant",
				target_effects =
				{
					type = "nested-result",
					action =
					{
						type = "area",
						radius = 7,
						entity_flags = {"breaths-air"},
						action_delivery =
						{
							type = "instant",
							target_effects =
							{
							type = "damage",
							damage = { amount = 0.3, type = "poison"}
							}
						}
					}
				}
			}
		},
		action_cooldown = 30
	}
if settings.startup["fallout-appearance"].value == "invisible" then
	perma_radiation.animation = {
			filename = "__RealisticReactors__/graphics/transparent32.png",
			flags = { "compressed" },
			priority = "low",
			width = 32,
			height = 32,
			frame_count = 1,
			animation_speed = 0.2,
			line_length = 1,
			scale = 1,
		}
	perma_radiation.action =
		{
			type = "direct",
			action_delivery =
			{
				type = "instant",
				target_effects =
				{
					type = "nested-result",
					action =
					{
						type = "area",
						radius = 14,
						entity_flags = {"breaths-air"},
						action_delivery =
						{
							type = "instant",
							target_effects =
							{
							type = "damage",
							damage = { amount = 0.3, type = "poison"}
							}
						}
					}
				}
			}
		}
elseif settings.startup["fallout-appearance"].value == "half-transparent" then
	perma_radiation.animation =	{
			filename = "__RealisticReactors__/graphics/fallout/fallout_spritesheet_half.png",
			
			priority = "low",
			width = 249,
			height = 211,
			frame_count = 14,
			animation_speed = 0.15,
			line_length = 7,
			scale = 2,
			blend_mode = "additive-soft",
			apply_runtime_tint=true,
		}
elseif settings.startup["fallout-appearance"].value == "green veil" then
	perma_radiation.animation =
		{
			filename = "__RealisticReactors__/graphics/fallout/fallout-green.png",
			flags = { "compressed" },
			priority = "low",
			width = 256,
			height = 256,
			frame_count = 1,
			animation_speed = 0.2,
			line_length = 1,
			scale = 4,
			blend_mode = "additive-soft",
			apply_runtime_tint=true,
			--premul_alpha= false,
			tint =  {r=0, g=1, b=0, a=0.01},
		}
		perma_radiation.action =
		{
			type = "direct",
			action_delivery =
			{
				type = "instant",
				target_effects =
				{
					type = "nested-result",
					action =
					{
						type = "area",
						radius = 15,
						entity_flags = {"breaths-air"},
						action_delivery =
						{
							type = "instant",
							target_effects =
							{
							type = "damage",
							damage = { amount = 0.3, type = "poison"}
							}
						}
					}
				}
			}
		}
end
--else
	-- unrealistic mega explosion for meltdown ^^ 
	data:extend({
	perma_radiation,
	{
		type = "smoke-with-trigger",
		name = "fallout-explosion",
		flags = {"not-on-map"},
		show_when_smoke_off = true,
		animation =
		{
			filename = "__base__/graphics/entity/cloud/cloud-45-frames.png",
			flags = { "compressed" },
			priority = "low",
			width = 256,
			height = 256,
			frame_count = 45,
			animation_speed = 0.1,
			line_length = 7,
			scale = 6,
		},
		slow_down_factor = 0,
		affected_by_wind = true,
		cyclic = true,
		--duration = 60 * 80,
		duration = 1,
		--fade_away_duration = 4 * 60,
		spread_duration = 50,
		color = { r = 1, g = 1, b = 1},
		action = {
			type = "direct",
			action_delivery =
			{
				type = "instant",
				source_effects =
				{
					{
						repeat_count = 100,
						type = "create-trivial-smoke",
						smoke_name = "nuclear-smoke",
						offset_deviation = {{-1, -1}, {1, 1}},
						slow_down_factor = 1,
						starting_frame = 3,
						starting_frame_deviation = 5,
						starting_frame_speed = 0,
						starting_frame_speed_deviation = 5,
						speed_from_center = 0.5,
						speed_deviation = 0.2
					},
					{
						type = "create-entity",
						entity_name = "explosion"
					},
					{
						type = "damage",
						damage = {amount = 400, type = "explosion"}
					},
					{
						type = "create-entity",
						entity_name = "RR-uranium-explosion-LUQ",
						trigger_created_entity = "true"               
					},
					{
						type = "create-entity",
						entity_name = "RR-uranium-explosion-RUQ"
					},
					{
						type = "create-entity",
						entity_name = "RR-uranium-explosion-LLQ"
					},
					{
						type = "create-entity",
						entity_name = "RR-uranium-explosion-RLQ"
					},
				{
						type = "create-entity",
						entity_name = "RR-nuclear-scorchmark",
						check_buildability = true
					},
					{
						type = "nested-result",
						action =
						{
							type = "area",
							target_entities = false,
							repeat_count = 1000,
							radius = 20,
							action_delivery =
							{
								type = "projectile",
								projectile = "RR-atomic-bomb-wave",
								starting_speed = 0.5
							}
						}
					}
				}
			}
		},
		action_cooldown = 30
	},
	
{
			type = "explosion",
			name = "RR-geiger-0",
			flags = {"not-on-map"},
			animations =
			{
				{
					filename = "__RealisticReactors__/graphics/transparent32.png",
					priority = "low",
					width = 32,
					height = 32,
					frame_count = 1,
					line_length = 1,
					animation_speed = 1
				},
			},
			light = {intensity = 0, size = 0},
			sound =
			{
				{
					filename = "__RealisticReactors__/sound/geiger0.ogg",
					volume = 0.5,
					audible_distance_modifier = 0.3
				},       
			},
		},
{
			type = "explosion",
			name = "RR-geiger-1",
			flags = {"not-on-map"},
			animations =
			{
				{
					filename = "__RealisticReactors__/graphics/transparent32.png",
					priority = "low",
					width = 32,
					height = 32,
					frame_count = 1,
					line_length = 1,
					animation_speed = 1
				},
			},
			light = {intensity = 0, size = 0},
			sound =
			{
				{
					filename = "__RealisticReactors__/sound/geiger1.ogg",
					volume = 0.5,
					audible_distance_modifier = 0.3
				},       
			},
		},
	{
			type = "explosion",
			name = "RR-nuclear-detonation-sound",
			flags = {"not-on-map"},
			animations =
			{
				{
					filename = "__RealisticReactors__/graphics/transparent32.png",
					priority = "low",
					width = 32,
					height = 32,
					frame_count = 1,
					line_length = 1,
					animation_speed = 1
				},
			},
			light = {intensity = 0, size = 0},
			sound =
			{
				{
					filename = "__RealisticReactors__/sound/nuclear_detonation_close_proximity.ogg",
					volume = 1.25,
					audible_distance_modifier = 0.3
				},       
			},
		},
		
	{
		type = "explosion",
		name = "RR-explosion",
		flags = {"not-on-map"},
		animations =
		{
		  {
			filename = "__RealisticReactors__/graphics/transparent32.png",
			priority = "high",
			width = 32,
			height = 32,
			frame_count = 1,
			animation_speed = 0.5
		  },
		  --{
		  --  filename = "__base__/graphics/entity/explosion/explosion-2.png",
		  --  priority = "high",
		  --  width = 64,
		  --  height = 57,
		  --  frame_count = 16,
		  --  animation_speed = 0.5
		  --},
		  --{
		  --  filename = "__base__/graphics/entity/explosion/explosion-3.png",
		  --  priority = "high",
		  --  width = 64,
		  --  height = 49,
		  --  frame_count = 16,
		  --  animation_speed = 0.5
		  --},
		  --{
		  --  filename = "__base__/graphics/entity/explosion/explosion-4.png",
		  --  priority = "high",
		  --  width = 64,
		  --  height = 51,
		  --  frame_count = 16,
		  --  animation_speed = 0.5
		  --}
		},
		light = {intensity = 1, size = 20, color = {r=1.0, g=1.0, b=1.0}},
		smoke = "smoke-fast",
		smoke_count = 2,
		smoke_slow_down_factor = 1,
		sound =
		{
		  aggregation =
		  {
			max_count = 1,
			remove = true
		  },
		  variations =
		  {
			{
			  filename = "__base__/sound/fight/small-explosion-1.ogg",
			  volume = 0.75
			},
			{
			  filename = "__base__/sound/fight/small-explosion-2.ogg",
			  volume = 0.75
			}
		  }
		}
	  },
	  {
		type = "projectile",
		name = "RR-atomic-bomb-wave",
		flags = {"not-on-map"},
		acceleration = 0,
		action =
		{
		  {
			type = "direct",
			action_delivery =
			{
			  type = "instant",
			  target_effects =
			  {
				{
				  type = "create-entity",
				  entity_name = "RR-explosion"
				}
			  }
			}
		  },
		  {
			type = "area",
			radius = 3,
			action_delivery =
			{
			  type = "instant",
			  target_effects =
			  {
				type = "damage",
				damage = {amount = 400, type = "explosion"}
			  }
			}
		  }
		},
		animation =
		{
		  filename = "__core__/graphics/empty.png",
		  frame_count = 1,
		  width = 1,
		  height = 1,
		  priority = "high"
		},
		shadow =
		{
		  filename = "__core__/graphics/empty.png",
		  frame_count = 1,
		  width = 1,
		  height = 1,
		  priority = "high"
		}
	  },
	  {
			type = "explosion",
			name = "RR-uranium-explosion-LUQ",
			flags = {"not-on-map"},
			animations =
			{
				{
					filename = "__RealisticReactors__/graphics/explosion/LUQ.png",
					priority = "extra-high",
					width = 256,
					height = 256,
					frame_count = 64,
					line_length = 8,
					scale = 4,
					shift = {-16, -16},
					animation_speed = 0.25
				},
			},
			light = {intensity = 10, size = 120},
			smoke = "smoke-fast",
			smoke_count = 2,
			smoke_slow_down_factor = 1,
			sound =
			{
				aggregation =
				{
					max_count = 1,
					remove = false
				},
				variations =
				{
					{
						filename = "__RealisticReactors__/sound/nuclear_detonation_close_proximity.ogg", -- only audible up to 40 tiles
						volume = 0.5
					},
				}
			},
		},
		{
			type = "explosion",
			name = "RR-uranium-explosion-RUQ",
			flags = {"not-on-map"},
			animations =
			{
				{
					filename = "__RealisticReactors__/graphics/explosion/RUQ.png",
					priority = "extra-high",
					width = 256,
					height = 256,
					frame_count = 64,
					line_length = 8,
					scale = 4,
					shift = {16, -16},
					animation_speed = 0.25
				},
			},
			light = {intensity = 10, size = 120},
			smoke = "smoke-fast",
			smoke_count = 2,
			smoke_slow_down_factor = 1,
			sound =
			{
				aggregation =
				{
					max_count = 1,
					remove = false
				},
				variations =
				{
					{
						filename = "__RealisticReactors__/sound/nuclear_detonation_close_proximity.ogg",
						volume = 0.5
					},
				}
			},
		},
		{
			type = "explosion",
			name = "RR-uranium-explosion-LLQ",
			flags = {"not-on-map"},
			animations =
			{
				{
					filename = "__RealisticReactors__/graphics/explosion/LLQ.png",
					priority = "extra-high",
					width = 256,
					height = 256,
					frame_count = 64,
					line_length = 8,
					scale = 4,
					shift = {-16, 16},
					animation_speed = 0.25
				},
			},
			light = {intensity = 10, size = 120},
			smoke = "smoke-fast",
			smoke_count = 2,
			smoke_slow_down_factor = 1,
			sound =
			{
				aggregation =
				{
					max_count = 1,
					remove = false
				},
				variations =
				{	
					{
						filename = "__RealisticReactors__/sound/nuclear_detonation_close_proximity.ogg",
						volume = 0.5,
					},
				}
			},
		},
		{
			type = "explosion",
			name = "RR-uranium-explosion-RLQ",
			flags = {"not-on-map"},
			animations =
			{
				{
					filename = "__RealisticReactors__/graphics/explosion/RLQ.png",
					priority = "extra-high",
					width = 256,
					height = 256,
					frame_count = 64,
					line_length = 8,
					scale = 4,
					shift = {16, 16},
					animation_speed = 0.25
				},
			},
			light = {intensity = 10, size = 120},
			smoke = "smoke-fast",
			smoke_count = 2,
			smoke_slow_down_factor = 1,
			sound =
			{
				aggregation =
				{
					max_count = 1,
					remove = false
				},
				variations =
				{
					{
						filename = "__RealisticReactors__/sound/nuclear_detonation_close_proximity.ogg",
						volume = 0.5
					},
				}
			},
		},
		{
		type = "corpse",
		name = "RR-nuclear-scorchmark",
		icon = "__base__/graphics/icons/small-scorchmark.png",
		icon_size = 32,
		flags = {"placeable-neutral", "not-on-map", "placeable-off-grid"},
		collision_box = {{-1.5, -1.5}, {1.5, 1.5}},
		collision_mask = {"doodad-layer", "not-colliding-with-itself"},
		selection_box = {{-1, -1}, {1, 1}},
		selectable_in_game = false,
		time_before_removed = 60 * 60 * 10, -- 10 minutes
		final_render_layer = "ground-patch-higher2",
		subgroup = "remnants",
		order="d[remnants]-b[scorchmark]-b[nuclear]",
		animation =
		{
		  width = 440,
		  height = 360,
		  frame_count = 1,
		  direction_count = 1,
		  filename = "__RealisticReactors__/graphics/explosion/scorchmark-low.png",
		  variation_count = 3,
		  scale=4,
		  hr_version=   {
			width = 880,
			height = 720,
			frame_count = 1,
			direction_count = 1,
			filename = "__RealisticReactors__/graphics/explosion/scorchmark.png",
			variation_count = 3,
			scale = 2
			}
		},
		ground_patch =
		{
		  sheet =
		  {
			width = 440,
			height = 360,
			frame_count = 1,
			direction_count = 1,
			x = 880,
			filename = "__RealisticReactors__/graphics/explosion/scorchmark-low.png",
			variation_count = 3,
			scale=4,
			hr_version={
				width = 880,
				height = 720,
				frame_count = 1,
				direction_count = 1,
				x = 880 * 2,
				filename = "__RealisticReactors__/graphics/explosion/scorchmark.png",
				variation_count = 3,
				scale = 2
				}
		  }
		},
		ground_patch_higher =
		{
		  sheet =
		  {
			width = 110,
			height = 90,
			frame_count = 1,
			direction_count = 1,
			x = 110,
			filename = "__base__/graphics/entity/scorchmark/small-scorchmark.png",
			variation_count = 3,
			scale=16,
			hr_version={
				width = 880,
				height = 720,
				frame_count = 1,
				direction_count = 1,
				x = 880,
				filename = "__RealisticReactors__/graphics/explosion/scorchmark.png",
				variation_count = 3,
				scale = 2
			  }
		  }
		}
	  }
	})

--end

data:extend({
  {
    type = "simple-entity",
    name = "rr-electricity-warning",
	flags = {"placeable-off-grid"},
    picture =
    {
      filename = "__core__/graphics/electricity-icon-red.png",
      priority = "high",
      width = 64,
      height = 64,
      frame_count = 1,
      animation_speed = 1,
	  scale = 0.44,
    },
	duration = 60,
	fade_in_duration = 3,
	fade_away_duration = 3,
	spread_duration = 0,
	start_scale = 1,
	end_scale = 1,
	cyclic = true,
	affected_by_wind = false,
	movement_slow_down_factor = 0.5,
	show_when_smoke_off = true,
	render_layer = "entity-info-icon-above",
    --duration = 60,
    --fade_away_duration = 1,
	--affected_by_wind = false,
	--show_when_smoke_off = true,
	--render_layer = "smoke",
	--cyclic = true,
	--spread_duration = 6,

    --fade_in_duration = opts.fade_in_duration or 0,
    --spread_duration = opts.spread_duration or 600,
    --start_scale = opts.start_scale or 0.20,
    --end_scale = opts.end_scale or 1.0,
    --color = opts.color,

  },
   
  
 })