data:extend(
{ 	{
		type = "bool-setting",
		name = "disable-vanilla-reactor",
		setting_type = "startup",
		default_value = true,
		order="la1",
	}, 
	{
		type = "string-setting",
		name = "fallout-appearance",
		setting_type = "startup",
		default_value = "half-transparent",
		allowed_values = {"invisible", "half-transparent","less transparent","green veil"},
		order="la2",
	}, 	
	{
		type = "int-setting",
		name = "fallout-duration",
		setting_type = "startup",
		default_value = 600,
		minimum_value = 1,
		maximum_value = 9999999,
		order="la3",
	},  
	{
		type = "int-setting",
		name = "clouds-duration",
		setting_type = "startup",
		default_value = 80,
		minimum_value = 1,
		maximum_value = 9999999,
		order="la3",
	},  
	{
		type = "bool-setting",
		name = "write-log",
		setting_type = "runtime-global",
		default_value = true,
		order="lc",
	},  
	{
		type = "bool-setting",
		name = "disable-neighbour-check",
		setting_type = "runtime-global",
		default_value = false,
		order="le",
	},
	{
		type = "int-setting",
		name = "neighbour-check-delay",
		setting_type = "runtime-global",
		default_value = 600,
		minimum_value = 1,
		order="lg",
	},
	{
		type = "int-setting",
		name = "reactor-scram-duration",
		setting_type = "runtime-global",
		default_value = 180,
		minimum_value = 1,
		order="li",
	},
	{
		type = "int-setting",
		name = "reactor-starting-duration",
		setting_type = "runtime-global",
		default_value = 30,
		minimum_value = 1,
		order="lk",
	},  
	{
		type = "double-setting",
		name = "energy_consumption_multiplier",
		setting_type = "runtime-global",
		default_value = 1,
		maximum_value = 2.5,
		minimum_value = 0,
		order = "lm",
		per_user = false,
	},
	{
		type = "int-setting",
		name = "clouds_generation",
		setting_type = "runtime-global",
		default_value = 100,
		maximum_value = 9999999,
		minimum_value = 0,
		order = "lm",
		per_user = false,
	},
	{
		type = "bool-setting",
		name = "RR-explosions",
		setting_type = "runtime-global",
		default_value = true,
		order = "lo",
		per_user = false,
	},
    {
		type = "bool-setting",
		name = "static-cooling-power-consumption",
		setting_type = "runtime-global",
		default_value = false,
		order="ls",
	},
    {
		type = "string-setting",
		name = "calculate-stats-function",
		setting_type = "runtime-global",
		default_value = "ownly's formulas",
		allowed_values = {"ownly's formulas", "ingo's formulas"},
		order="lu",
	},
	{
		type = "string-setting",
		name = "choose-a-bug",
		setting_type = "runtime-global",
		default_value = "stop half-empty",
		allowed_values = {"stop half-empty", "consume additional cell", "stop abrupt", "free energy in scram"},
		order="lw",
	},
}
)

